import Color from './config/color';
import ColorPipette from './config/color-pipette';
declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    readonly value: {
        readonly type: import("vue").PropType<string>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly showAlpha: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly colorFormat: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<import("./config").IColorFormat>, unknown, unknown, "hex", boolean>;
    readonly popperClass: {
        readonly type: import("vue").PropType<string>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly predefine: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<Color[]>, unknown, unknown, () => string[], boolean>;
    readonly disabled: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly size: {
        readonly type: import("vue").PropType<import("ll-plus/es/utils").EpPropMergeType<import("vue").PropType<import("./config").ComponentSize>, unknown, unknown>>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly placeholder: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "请选择", boolean>;
    readonly pickerMode: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly allowClear: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly usePipette: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly pipetteContainer: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<HTMLElement>, unknown, unknown, () => HTMLElement, boolean>;
}>, {
    props: import("@vue/shared").LooseRequired<Readonly<import("vue").ExtractPropTypes<{
        readonly value: {
            readonly type: import("vue").PropType<string>;
            readonly required: false;
            readonly validator: (val: unknown) => boolean;
            __epPropKey: true;
        };
        readonly showAlpha: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
        readonly colorFormat: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<import("./config").IColorFormat>, unknown, unknown, "hex", boolean>;
        readonly popperClass: {
            readonly type: import("vue").PropType<string>;
            readonly required: false;
            readonly validator: (val: unknown) => boolean;
            __epPropKey: true;
        };
        readonly predefine: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<Color[]>, unknown, unknown, () => string[], boolean>;
        readonly disabled: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
        readonly size: {
            readonly type: import("vue").PropType<import("ll-plus/es/utils").EpPropMergeType<import("vue").PropType<import("./config").ComponentSize>, unknown, unknown>>;
            readonly required: false;
            readonly validator: (val: unknown) => boolean;
            __epPropKey: true;
        };
        readonly placeholder: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "请选择", boolean>;
        readonly pickerMode: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
        readonly allowClear: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
        readonly usePipette: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
        readonly pipetteContainer: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<HTMLElement>, unknown, unknown, () => HTMLElement, boolean>;
    }>> & Readonly<{
        onChange?: (value: string) => any;
        "onUpdate:value"?: (value: string) => any;
        "onActive-change"?: (value: string) => any;
    }> & {}>;
    emits: ((event: "change", value: string) => void) & ((event: "update:value", value: string) => void) & ((event: "active-change", value: string) => void);
    bem: {
        b: (blockSuffix?: string) => string;
        e: (element?: string) => string;
        m: (modifier?: string) => string;
        be: (blockSuffix?: string, element?: string) => string;
        em: (element: string, modifier: string) => string;
        bm: (blockSuffix: string, modifier: string) => string;
        bem: (blockSuffix: string, element: string, modifier: string) => string;
        is: (name?: string) => string;
    };
    hasClickBtn: import("vue").Ref<boolean, boolean>;
    hueSlider: import("vue").Ref<import("vue").CreateComponentPublicInstanceWithMixins<Readonly<import("vue").ExtractPropTypes<{
        readonly color: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<Color>, unknown, unknown, () => Color, boolean>;
        readonly vertical: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    }>> & Readonly<{}>, {
        props: import("@vue/shared").LooseRequired<Readonly<import("vue").ExtractPropTypes<{
            readonly color: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<Color>, unknown, unknown, () => Color, boolean>;
            readonly vertical: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
        }>> & Readonly<{}> & {}>;
        bem: {
            b: (blockSuffix?: string) => string;
            e: (element?: string) => string;
            m: (modifier?: string) => string;
            be: (blockSuffix?: string, element?: string) => string;
            em: (element: string, modifier: string) => string;
            bm: (blockSuffix: string, modifier: string) => string;
            bem: (blockSuffix: string, element: string, modifier: string) => string;
            is: (name?: string) => string;
        };
        instance: import("vue").ComponentInternalInstance;
        thumb: import("vue").Ref<HTMLElement, HTMLElement>;
        bar: import("vue").Ref<HTMLElement, HTMLElement>;
        thumbLeft: import("vue").Ref<number, number>;
        thumbTop: import("vue").Ref<number, number>;
        hueValue: import("vue").ComputedRef<any>;
        handleClick: (event: MouseEvent) => void;
        handleDrag: (event: MouseEvent) => void;
        getThumbLeft: () => number;
        getThumbTop: () => number;
        update: () => void;
    }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, import("vue").PublicProps, {
        readonly color: Color;
        readonly vertical: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    }, true, {}, {}, import("vue").GlobalComponents, import("vue").GlobalDirectives, string, {}, any, import("vue").ComponentProvideOptions, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<import("vue").ExtractPropTypes<{
        readonly color: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<Color>, unknown, unknown, () => Color, boolean>;
        readonly vertical: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    }>> & Readonly<{}>, {
        props: import("@vue/shared").LooseRequired<Readonly<import("vue").ExtractPropTypes<{
            readonly color: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<Color>, unknown, unknown, () => Color, boolean>;
            readonly vertical: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
        }>> & Readonly<{}> & {}>;
        bem: {
            b: (blockSuffix?: string) => string;
            e: (element?: string) => string;
            m: (modifier?: string) => string;
            be: (blockSuffix?: string, element?: string) => string;
            em: (element: string, modifier: string) => string;
            bm: (blockSuffix: string, modifier: string) => string;
            bem: (blockSuffix: string, element: string, modifier: string) => string;
            is: (name?: string) => string;
        };
        instance: import("vue").ComponentInternalInstance;
        thumb: import("vue").Ref<HTMLElement, HTMLElement>;
        bar: import("vue").Ref<HTMLElement, HTMLElement>;
        thumbLeft: import("vue").Ref<number, number>;
        thumbTop: import("vue").Ref<number, number>;
        hueValue: import("vue").ComputedRef<any>;
        handleClick: (event: MouseEvent) => void;
        handleDrag: (event: MouseEvent) => void;
        getThumbLeft: () => number;
        getThumbTop: () => number;
        update: () => void;
    }, {}, {}, {}, {
        readonly color: Color;
        readonly vertical: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    }>, import("vue").CreateComponentPublicInstanceWithMixins<Readonly<import("vue").ExtractPropTypes<{
        readonly color: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<Color>, unknown, unknown, () => Color, boolean>;
        readonly vertical: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    }>> & Readonly<{}>, {
        props: import("@vue/shared").LooseRequired<Readonly<import("vue").ExtractPropTypes<{
            readonly color: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<Color>, unknown, unknown, () => Color, boolean>;
            readonly vertical: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
        }>> & Readonly<{}> & {}>;
        bem: {
            b: (blockSuffix?: string) => string;
            e: (element?: string) => string;
            m: (modifier?: string) => string;
            be: (blockSuffix?: string, element?: string) => string;
            em: (element: string, modifier: string) => string;
            bm: (blockSuffix: string, modifier: string) => string;
            bem: (blockSuffix: string, element: string, modifier: string) => string;
            is: (name?: string) => string;
        };
        instance: import("vue").ComponentInternalInstance;
        thumb: import("vue").Ref<HTMLElement, HTMLElement>;
        bar: import("vue").Ref<HTMLElement, HTMLElement>;
        thumbLeft: import("vue").Ref<number, number>;
        thumbTop: import("vue").Ref<number, number>;
        hueValue: import("vue").ComputedRef<any>;
        handleClick: (event: MouseEvent) => void;
        handleDrag: (event: MouseEvent) => void;
        getThumbLeft: () => number;
        getThumbTop: () => number;
        update: () => void;
    }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, import("vue").PublicProps, {
        readonly color: Color;
        readonly vertical: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    }, true, {}, {}, import("vue").GlobalComponents, import("vue").GlobalDirectives, string, {}, any, import("vue").ComponentProvideOptions, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<import("vue").ExtractPropTypes<{
        readonly color: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<Color>, unknown, unknown, () => Color, boolean>;
        readonly vertical: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    }>> & Readonly<{}>, {
        props: import("@vue/shared").LooseRequired<Readonly<import("vue").ExtractPropTypes<{
            readonly color: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<Color>, unknown, unknown, () => Color, boolean>;
            readonly vertical: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
        }>> & Readonly<{}> & {}>;
        bem: {
            b: (blockSuffix?: string) => string;
            e: (element?: string) => string;
            m: (modifier?: string) => string;
            be: (blockSuffix?: string, element?: string) => string;
            em: (element: string, modifier: string) => string;
            bm: (blockSuffix: string, modifier: string) => string;
            bem: (blockSuffix: string, element: string, modifier: string) => string;
            is: (name?: string) => string;
        };
        instance: import("vue").ComponentInternalInstance;
        thumb: import("vue").Ref<HTMLElement, HTMLElement>;
        bar: import("vue").Ref<HTMLElement, HTMLElement>;
        thumbLeft: import("vue").Ref<number, number>;
        thumbTop: import("vue").Ref<number, number>;
        hueValue: import("vue").ComputedRef<any>;
        handleClick: (event: MouseEvent) => void;
        handleDrag: (event: MouseEvent) => void;
        getThumbLeft: () => number;
        getThumbTop: () => number;
        update: () => void;
    }, {}, {}, {}, {
        readonly color: Color;
        readonly vertical: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    }>>;
    svPanel: import("vue").Ref<import("vue").CreateComponentPublicInstanceWithMixins<Readonly<import("vue").ExtractPropTypes<{
        readonly color: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<Color>, unknown, unknown, () => Color, boolean>;
    }>> & Readonly<{}>, {
        props: import("@vue/shared").LooseRequired<Readonly<import("vue").ExtractPropTypes<{
            readonly color: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<Color>, unknown, unknown, () => Color, boolean>;
        }>> & Readonly<{}> & {}>;
        bem: {
            b: (blockSuffix?: string) => string;
            e: (element?: string) => string;
            m: (modifier?: string) => string;
            be: (blockSuffix?: string, element?: string) => string;
            em: (element: string, modifier: string) => string;
            bm: (blockSuffix: string, modifier: string) => string;
            bem: (blockSuffix: string, element: string, modifier: string) => string;
            is: (name?: string) => string;
        };
        instance: import("vue").ComponentInternalInstance;
        cursorTop: import("vue").Ref<number, number>;
        cursorLeft: import("vue").Ref<number, number>;
        background: import("vue").Ref<string, string>;
        colorValue: import("vue").ComputedRef<{
            hue: any;
            value: any;
        }>;
        update: () => void;
        handleDrag: (event: MouseEvent) => void;
    }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, import("vue").PublicProps, {
        readonly color: Color;
    }, true, {}, {}, import("vue").GlobalComponents, import("vue").GlobalDirectives, string, {}, any, import("vue").ComponentProvideOptions, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<import("vue").ExtractPropTypes<{
        readonly color: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<Color>, unknown, unknown, () => Color, boolean>;
    }>> & Readonly<{}>, {
        props: import("@vue/shared").LooseRequired<Readonly<import("vue").ExtractPropTypes<{
            readonly color: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<Color>, unknown, unknown, () => Color, boolean>;
        }>> & Readonly<{}> & {}>;
        bem: {
            b: (blockSuffix?: string) => string;
            e: (element?: string) => string;
            m: (modifier?: string) => string;
            be: (blockSuffix?: string, element?: string) => string;
            em: (element: string, modifier: string) => string;
            bm: (blockSuffix: string, modifier: string) => string;
            bem: (blockSuffix: string, element: string, modifier: string) => string;
            is: (name?: string) => string;
        };
        instance: import("vue").ComponentInternalInstance;
        cursorTop: import("vue").Ref<number, number>;
        cursorLeft: import("vue").Ref<number, number>;
        background: import("vue").Ref<string, string>;
        colorValue: import("vue").ComputedRef<{
            hue: any;
            value: any;
        }>;
        update: () => void;
        handleDrag: (event: MouseEvent) => void;
    }, {}, {}, {}, {
        readonly color: Color;
    }>, import("vue").CreateComponentPublicInstanceWithMixins<Readonly<import("vue").ExtractPropTypes<{
        readonly color: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<Color>, unknown, unknown, () => Color, boolean>;
    }>> & Readonly<{}>, {
        props: import("@vue/shared").LooseRequired<Readonly<import("vue").ExtractPropTypes<{
            readonly color: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<Color>, unknown, unknown, () => Color, boolean>;
        }>> & Readonly<{}> & {}>;
        bem: {
            b: (blockSuffix?: string) => string;
            e: (element?: string) => string;
            m: (modifier?: string) => string;
            be: (blockSuffix?: string, element?: string) => string;
            em: (element: string, modifier: string) => string;
            bm: (blockSuffix: string, modifier: string) => string;
            bem: (blockSuffix: string, element: string, modifier: string) => string;
            is: (name?: string) => string;
        };
        instance: import("vue").ComponentInternalInstance;
        cursorTop: import("vue").Ref<number, number>;
        cursorLeft: import("vue").Ref<number, number>;
        background: import("vue").Ref<string, string>;
        colorValue: import("vue").ComputedRef<{
            hue: any;
            value: any;
        }>;
        update: () => void;
        handleDrag: (event: MouseEvent) => void;
    }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, import("vue").PublicProps, {
        readonly color: Color;
    }, true, {}, {}, import("vue").GlobalComponents, import("vue").GlobalDirectives, string, {}, any, import("vue").ComponentProvideOptions, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<import("vue").ExtractPropTypes<{
        readonly color: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<Color>, unknown, unknown, () => Color, boolean>;
    }>> & Readonly<{}>, {
        props: import("@vue/shared").LooseRequired<Readonly<import("vue").ExtractPropTypes<{
            readonly color: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<Color>, unknown, unknown, () => Color, boolean>;
        }>> & Readonly<{}> & {}>;
        bem: {
            b: (blockSuffix?: string) => string;
            e: (element?: string) => string;
            m: (modifier?: string) => string;
            be: (blockSuffix?: string, element?: string) => string;
            em: (element: string, modifier: string) => string;
            bm: (blockSuffix: string, modifier: string) => string;
            bem: (blockSuffix: string, element: string, modifier: string) => string;
            is: (name?: string) => string;
        };
        instance: import("vue").ComponentInternalInstance;
        cursorTop: import("vue").Ref<number, number>;
        cursorLeft: import("vue").Ref<number, number>;
        background: import("vue").Ref<string, string>;
        colorValue: import("vue").ComputedRef<{
            hue: any;
            value: any;
        }>;
        update: () => void;
        handleDrag: (event: MouseEvent) => void;
    }, {}, {}, {}, {
        readonly color: Color;
    }>>;
    alpha: import("vue").Ref<import("vue").CreateComponentPublicInstanceWithMixins<Readonly<import("vue").ExtractPropTypes<{
        readonly color: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<Color>, unknown, unknown, () => Color, boolean>;
        readonly vertical: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    }>> & Readonly<{}>, {
        props: import("@vue/shared").LooseRequired<Readonly<import("vue").ExtractPropTypes<{
            readonly color: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<Color>, unknown, unknown, () => Color, boolean>;
            readonly vertical: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
        }>> & Readonly<{}> & {}>;
        bem: {
            b: (blockSuffix?: string) => string;
            e: (element?: string) => string;
            m: (modifier?: string) => string;
            be: (blockSuffix?: string, element?: string) => string;
            em: (element: string, modifier: string) => string;
            bm: (blockSuffix: string, modifier: string) => string;
            bem: (blockSuffix: string, element: string, modifier: string) => string;
            is: (name?: string) => string;
        };
        instance: import("vue").ComponentInternalInstance;
        bar: import("vue").ShallowRef<HTMLElement, HTMLElement>;
        thumb: import("vue").ShallowRef<HTMLElement, HTMLElement>;
        thumbLeft: import("vue").Ref<number, number>;
        thumbTop: import("vue").Ref<number, number>;
        background: import("vue").Ref<string, string>;
        handleClick: (event: MouseEvent) => void;
        handleDrag: (event: MouseEvent) => void;
        update: () => void;
        getThumbLeft: () => number;
        getThumbTop: () => number;
        getBackground: () => string;
    }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, import("vue").PublicProps, {
        readonly color: Color;
        readonly vertical: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    }, true, {}, {}, import("vue").GlobalComponents, import("vue").GlobalDirectives, string, {}, any, import("vue").ComponentProvideOptions, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<import("vue").ExtractPropTypes<{
        readonly color: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<Color>, unknown, unknown, () => Color, boolean>;
        readonly vertical: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    }>> & Readonly<{}>, {
        props: import("@vue/shared").LooseRequired<Readonly<import("vue").ExtractPropTypes<{
            readonly color: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<Color>, unknown, unknown, () => Color, boolean>;
            readonly vertical: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
        }>> & Readonly<{}> & {}>;
        bem: {
            b: (blockSuffix?: string) => string;
            e: (element?: string) => string;
            m: (modifier?: string) => string;
            be: (blockSuffix?: string, element?: string) => string;
            em: (element: string, modifier: string) => string;
            bm: (blockSuffix: string, modifier: string) => string;
            bem: (blockSuffix: string, element: string, modifier: string) => string;
            is: (name?: string) => string;
        };
        instance: import("vue").ComponentInternalInstance;
        bar: import("vue").ShallowRef<HTMLElement, HTMLElement>;
        thumb: import("vue").ShallowRef<HTMLElement, HTMLElement>;
        thumbLeft: import("vue").Ref<number, number>;
        thumbTop: import("vue").Ref<number, number>;
        background: import("vue").Ref<string, string>;
        handleClick: (event: MouseEvent) => void;
        handleDrag: (event: MouseEvent) => void;
        update: () => void;
        getThumbLeft: () => number;
        getThumbTop: () => number;
        getBackground: () => string;
    }, {}, {}, {}, {
        readonly color: Color;
        readonly vertical: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    }>, import("vue").CreateComponentPublicInstanceWithMixins<Readonly<import("vue").ExtractPropTypes<{
        readonly color: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<Color>, unknown, unknown, () => Color, boolean>;
        readonly vertical: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    }>> & Readonly<{}>, {
        props: import("@vue/shared").LooseRequired<Readonly<import("vue").ExtractPropTypes<{
            readonly color: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<Color>, unknown, unknown, () => Color, boolean>;
            readonly vertical: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
        }>> & Readonly<{}> & {}>;
        bem: {
            b: (blockSuffix?: string) => string;
            e: (element?: string) => string;
            m: (modifier?: string) => string;
            be: (blockSuffix?: string, element?: string) => string;
            em: (element: string, modifier: string) => string;
            bm: (blockSuffix: string, modifier: string) => string;
            bem: (blockSuffix: string, element: string, modifier: string) => string;
            is: (name?: string) => string;
        };
        instance: import("vue").ComponentInternalInstance;
        bar: import("vue").ShallowRef<HTMLElement, HTMLElement>;
        thumb: import("vue").ShallowRef<HTMLElement, HTMLElement>;
        thumbLeft: import("vue").Ref<number, number>;
        thumbTop: import("vue").Ref<number, number>;
        background: import("vue").Ref<string, string>;
        handleClick: (event: MouseEvent) => void;
        handleDrag: (event: MouseEvent) => void;
        update: () => void;
        getThumbLeft: () => number;
        getThumbTop: () => number;
        getBackground: () => string;
    }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, import("vue").PublicProps, {
        readonly color: Color;
        readonly vertical: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    }, true, {}, {}, import("vue").GlobalComponents, import("vue").GlobalDirectives, string, {}, any, import("vue").ComponentProvideOptions, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<import("vue").ExtractPropTypes<{
        readonly color: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<Color>, unknown, unknown, () => Color, boolean>;
        readonly vertical: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    }>> & Readonly<{}>, {
        props: import("@vue/shared").LooseRequired<Readonly<import("vue").ExtractPropTypes<{
            readonly color: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<Color>, unknown, unknown, () => Color, boolean>;
            readonly vertical: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
        }>> & Readonly<{}> & {}>;
        bem: {
            b: (blockSuffix?: string) => string;
            e: (element?: string) => string;
            m: (modifier?: string) => string;
            be: (blockSuffix?: string, element?: string) => string;
            em: (element: string, modifier: string) => string;
            bm: (blockSuffix: string, modifier: string) => string;
            bem: (blockSuffix: string, element: string, modifier: string) => string;
            is: (name?: string) => string;
        };
        instance: import("vue").ComponentInternalInstance;
        bar: import("vue").ShallowRef<HTMLElement, HTMLElement>;
        thumb: import("vue").ShallowRef<HTMLElement, HTMLElement>;
        thumbLeft: import("vue").Ref<number, number>;
        thumbTop: import("vue").Ref<number, number>;
        background: import("vue").Ref<string, string>;
        handleClick: (event: MouseEvent) => void;
        handleDrag: (event: MouseEvent) => void;
        update: () => void;
        getThumbLeft: () => number;
        getThumbTop: () => number;
        getBackground: () => string;
    }, {}, {}, {}, {
        readonly color: Color;
        readonly vertical: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    }>>;
    color: Color;
    pipette: ColorPipette;
    showPicker: import("vue").Ref<boolean, boolean>;
    showPanelColor: import("vue").Ref<boolean, boolean>;
    customInput: import("vue").Ref<string, string>;
    formItemContext: import("ant-design-vue/es/form/FormItemContext").FormItemContext;
    displayedColor: import("vue").ComputedRef<string>;
    colorDisabled: import("vue").ComputedRef<import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>>;
    currentColor: import("vue").ComputedRef<string>;
    setShowPicker: (value: boolean) => void;
    debounceSetShowPicker: import("@vueuse/shared").PromisifyFn<(value: boolean) => void>;
    hide: () => void;
    resetColor: () => void;
    handleTrigger: () => void;
    handleConfirm: () => void;
    confirmValue: () => void;
    clear: () => void;
    getPopupContainer: (triggerNode: HTMLElement) => HTMLElement;
    handleColorPicking: () => Promise<void>;
    AlphaSlider: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
        readonly color: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<Color>, unknown, unknown, () => Color, boolean>;
        readonly vertical: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    }>, {
        props: import("@vue/shared").LooseRequired<Readonly<import("vue").ExtractPropTypes<{
            readonly color: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<Color>, unknown, unknown, () => Color, boolean>;
            readonly vertical: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
        }>> & Readonly<{}> & {}>;
        bem: {
            b: (blockSuffix?: string) => string;
            e: (element?: string) => string;
            m: (modifier?: string) => string;
            be: (blockSuffix?: string, element?: string) => string;
            em: (element: string, modifier: string) => string;
            bm: (blockSuffix: string, modifier: string) => string;
            bem: (blockSuffix: string, element: string, modifier: string) => string;
            is: (name?: string) => string;
        };
        instance: import("vue").ComponentInternalInstance;
        bar: import("vue").ShallowRef<HTMLElement, HTMLElement>;
        thumb: import("vue").ShallowRef<HTMLElement, HTMLElement>;
        thumbLeft: import("vue").Ref<number, number>;
        thumbTop: import("vue").Ref<number, number>;
        background: import("vue").Ref<string, string>;
        handleClick: (event: MouseEvent) => void;
        handleDrag: (event: MouseEvent) => void;
        update: () => void;
        getThumbLeft: () => number;
        getThumbTop: () => number;
        getBackground: () => string;
    }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
        readonly color: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<Color>, unknown, unknown, () => Color, boolean>;
        readonly vertical: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    }>> & Readonly<{}>, {
        readonly color: Color;
        readonly vertical: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    }, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
    HueSlider: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
        readonly color: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<Color>, unknown, unknown, () => Color, boolean>;
        readonly vertical: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    }>, {
        props: import("@vue/shared").LooseRequired<Readonly<import("vue").ExtractPropTypes<{
            readonly color: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<Color>, unknown, unknown, () => Color, boolean>;
            readonly vertical: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
        }>> & Readonly<{}> & {}>;
        bem: {
            b: (blockSuffix?: string) => string;
            e: (element?: string) => string;
            m: (modifier?: string) => string;
            be: (blockSuffix?: string, element?: string) => string;
            em: (element: string, modifier: string) => string;
            bm: (blockSuffix: string, modifier: string) => string;
            bem: (blockSuffix: string, element: string, modifier: string) => string;
            is: (name?: string) => string;
        };
        instance: import("vue").ComponentInternalInstance;
        thumb: import("vue").Ref<HTMLElement, HTMLElement>;
        bar: import("vue").Ref<HTMLElement, HTMLElement>;
        thumbLeft: import("vue").Ref<number, number>;
        thumbTop: import("vue").Ref<number, number>;
        hueValue: import("vue").ComputedRef<any>;
        handleClick: (event: MouseEvent) => void;
        handleDrag: (event: MouseEvent) => void;
        getThumbLeft: () => number;
        getThumbTop: () => number;
        update: () => void;
    }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
        readonly color: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<Color>, unknown, unknown, () => Color, boolean>;
        readonly vertical: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    }>> & Readonly<{}>, {
        readonly color: Color;
        readonly vertical: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    }, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
    PreDefine: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
        readonly colors: {
            readonly type: import("vue").PropType<Color[]>;
            readonly required: true;
            readonly validator: (val: unknown) => boolean;
            __epPropKey: true;
        };
        readonly color: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<Color>, unknown, unknown, () => Color, boolean>;
    }>, {
        props: import("@vue/shared").LooseRequired<Readonly<import("vue").ExtractPropTypes<{
            readonly colors: {
                readonly type: import("vue").PropType<Color[]>;
                readonly required: true;
                readonly validator: (val: unknown) => boolean;
                __epPropKey: true;
            };
            readonly color: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<Color>, unknown, unknown, () => Color, boolean>;
        }>> & Readonly<{}> & {}>;
        bem: {
            b: (blockSuffix?: string) => string;
            e: (element?: string) => string;
            m: (modifier?: string) => string;
            be: (blockSuffix?: string, element?: string) => string;
            em: (element: string, modifier: string) => string;
            bm: (blockSuffix: string, modifier: string) => string;
            bem: (blockSuffix: string, element: string, modifier: string) => string;
            is: (name?: string) => string;
        };
        currentColor: import("vue").ComputedRef<string>;
        rgbaColors: import("vue").Ref<{
            _alpha: number;
            enableAlpha: boolean;
            format: string;
            value: string;
            selected?: boolean;
            set: (prop: any, value?: number) => void;
            get: (prop: string) => any;
            toRgb: () => {
                r: number;
                g: number;
                b: number;
            };
            fromString: (value: any) => void;
            compare: (color: any) => boolean;
            doOnChange: () => void;
        }[], Color[] | {
            _alpha: number;
            enableAlpha: boolean;
            format: string;
            value: string;
            selected?: boolean;
            set: (prop: any, value?: number) => void;
            get: (prop: string) => any;
            toRgb: () => {
                r: number;
                g: number;
                b: number;
            };
            fromString: (value: any) => void;
            compare: (color: any) => boolean;
            doOnChange: () => void;
        }[]>;
        handleSelect: (index: number) => void;
    }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
        readonly colors: {
            readonly type: import("vue").PropType<Color[]>;
            readonly required: true;
            readonly validator: (val: unknown) => boolean;
            __epPropKey: true;
        };
        readonly color: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<Color>, unknown, unknown, () => Color, boolean>;
    }>> & Readonly<{}>, {
        readonly color: Color;
    }, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
    SvPanel: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
        readonly color: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<Color>, unknown, unknown, () => Color, boolean>;
    }>, {
        props: import("@vue/shared").LooseRequired<Readonly<import("vue").ExtractPropTypes<{
            readonly color: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<Color>, unknown, unknown, () => Color, boolean>;
        }>> & Readonly<{}> & {}>;
        bem: {
            b: (blockSuffix?: string) => string;
            e: (element?: string) => string;
            m: (modifier?: string) => string;
            be: (blockSuffix?: string, element?: string) => string;
            em: (element: string, modifier: string) => string;
            bm: (blockSuffix: string, modifier: string) => string;
            bem: (blockSuffix: string, element: string, modifier: string) => string;
            is: (name?: string) => string;
        };
        instance: import("vue").ComponentInternalInstance;
        cursorTop: import("vue").Ref<number, number>;
        cursorLeft: import("vue").Ref<number, number>;
        background: import("vue").Ref<string, string>;
        colorValue: import("vue").ComputedRef<{
            hue: any;
            value: any;
        }>;
        update: () => void;
        handleDrag: (event: MouseEvent) => void;
    }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
        readonly color: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<Color>, unknown, unknown, () => Color, boolean>;
    }>> & Readonly<{}>, {
        readonly color: Color;
    }, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    'update:value': (value: string) => boolean;
    change: (value: string) => boolean;
    'active-change': (value: string) => boolean;
}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    readonly value: {
        readonly type: import("vue").PropType<string>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly showAlpha: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly colorFormat: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<import("./config").IColorFormat>, unknown, unknown, "hex", boolean>;
    readonly popperClass: {
        readonly type: import("vue").PropType<string>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly predefine: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<Color[]>, unknown, unknown, () => string[], boolean>;
    readonly disabled: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly size: {
        readonly type: import("vue").PropType<import("ll-plus/es/utils").EpPropMergeType<import("vue").PropType<import("./config").ComponentSize>, unknown, unknown>>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly placeholder: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "请选择", boolean>;
    readonly pickerMode: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly allowClear: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly usePipette: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly pipetteContainer: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<HTMLElement>, unknown, unknown, () => HTMLElement, boolean>;
}>> & Readonly<{
    onChange?: (value: string) => any;
    "onUpdate:value"?: (value: string) => any;
    "onActive-change"?: (value: string) => any;
}>, {
    readonly disabled: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    readonly placeholder: string;
    readonly allowClear: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    readonly showAlpha: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    readonly colorFormat: import("ll-plus/es/utils").EpPropMergeType<import("vue").PropType<import("./config").IColorFormat>, unknown, unknown>;
    readonly predefine: Color[];
    readonly pickerMode: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    readonly usePipette: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    readonly pipetteContainer: HTMLElement;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
